org.apache.poi.util

## Class LittleEndianCP950Reader

- java.lang.Object
- - java.io.Reader
  - - org.apache.poi.util.LittleEndianCP950Reader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      @Internal
      public class LittleEndianCP950Reader
      extends java.io.Reader

  Stream that converts CP950 (MSOffice's dialect of Big5), with zero-byte padding for ASCII and in LittleEndianOrder.

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LittleEndianCP950Reader(byte[] data)`
    `LittleEndianCP950Reader(byte[] data, int offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `read()`
    `int` | `read(char[] cbuf, int off, int len)`

    - ### Methods inherited from class java.io.Reader

      `mark, markSupported, read, read, ready, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LittleEndianCP950Reader

          public LittleEndianCP950Reader(byte[] data)

    - #### LittleEndianCP950Reader

          public LittleEndianCP950Reader(byte[] data,
                                         int offset,
                                         int length)

  - ### Method Detail

    - #### read

          public int read()

      Overrides:
        `read` in class `java.io.Reader`

    - #### read

          public int read(char[] cbuf,
                          int off,
                          int len)
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.Reader`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Reader`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.